Bug 17556 - I can't install nvidia's drivers from repositories
Summary: I can't install nvidia's drivers from repositories
Status: RESOLVED WORKSFORME
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-12 10:35 UTC by sergey
Modified: 2008-12-12 07:44 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2008-09-12 10:35:06 UTC
Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/install-packages.py , line 19, in <module>
    backend.install_packages(packages)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 226, in wrapper
    func(*args,**kwargs)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 948, in install_packages
    self._runYumTransaction()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1121, in _runYumTransaction
    rc,msgs =  self.yumbase.buildTransaction()
  File : /usr/lib/python2.5/site-packages/yum/__init__.py , line 641, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 688, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 771, in _resolveRequires
    thisneeds = self._checkInstall(txmbr)
  File : /usr/lib/python2.5/site-packages/yum/depsolve.py , line 843, in _checkInstall
    provs = self.tsInfo.getProvides(*req)
  File : /usr/lib/python2.5/site-packages/yum/transactioninfo.py , line 432, in getProvides
    result.update(self.getNewProvides(name, flag, version))
  File : /usr/lib/python2.5/site-packages/yum/transactioninfo.py , line 414, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File : /usr/lib/python2.5/site-packages/yum/packageSack.py , line 300, in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File : /usr/lib/python2.5/site-packages/yum/packageSack.py , line 470, in _computeAggregateDictResult
    sackResult = apply(method, args)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 857, in getProvides
    return self._search("provides", name, flags, version)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 43, in newFunc
    return func(*args, **kwargs)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 833, in _search
    for pkg in self.searchFiles(name, strict=True):
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 43, in newFunc
    return func(*args, **kwargs)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 584, in searchFiles
    self._sql_pkgKey2po(rep, cur, pkgs)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 468, in _sql_pkgKey2po
    pkg = self._packageByKey(repo, ob['pkgKey'])
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 411, in _packageByKey
    po = self.pc(repo, cur.fetchone())
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 68, in __init__
    self._read_db_obj(db_obj)
  File : /usr/lib/python2.5/site-packages/yum/sqlitesack.py , line 94, in _read_db_obj
    setattr(self, item, _share_data(db_obj[item]))
Comment 1 Richard Hughes 2008-12-12 04:02:34 UTC
Does this still happen with the latest updates?
Comment 2 sergey 2008-12-12 07:34:35 UTC
This doesn't still happen.
Comment 3 Richard Hughes 2008-12-12 07:44:03 UTC
Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.